Subject: bug#12915: 24.2.50; Visiting a file via drag-and-drop should add it to the history ofvisited files

From: "Drew Adams" <[email-masked]>
Date: Sun, 13 Jan 2013 09:13:58 -0800

> FWIW, I also don't want to pollute the minibuffer history, obviously.
> That would make harder to find the entries you care about.

Yes, and different users can prefer different things.  One person's pollution or
noise is another person's convenience feature or dwim.

And the same user can want different things at different times or in different
contexts.

> Perhaps I wasn't clear enough, but what I had in mind was adding to
> the history every file visited _under direct user request_ (with
> either `C-x C-f', drag-n-drop, click on dired buffer, jump to
> bookmark, menu item, command line argument, etc).

Yes, but users should also be able to pick and choose which kinds of
file-choosing interactions should result in adding names to `file-name-history'.
Different users...different contexts...